<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new-absence">
    <form class="ui form" id="absences-form" method="post" th:object="${absence}" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_ABSENCES_SAVE}}">
      <input type="hidden" th:field="${absence.id}" />
      <input type="hidden" th:field="${absence.created}" />
      <input type="hidden" th:field="${absence.createdBy}" />
      <input id="minDate" th:if="${minDate} != null" th:value="${minDate}" type="hidden" />
      <input id="maxDate" th:if="${maxDate} != null" th:value="${maxDate}" type="hidden" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_ABSENCES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCES}}"></span>
      </h2>
	  <div class="ui negative message" th:if="${message}">
			<i class="close icon"></i>
			<div class="header">Sorry, that can't be done.</div>
			<p th:text="${message}"></p>
	  </div>
	  <div class="fields">
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABSENCETYPE}}, 
					                                                 field = 'type.id', 
					                                                 required = true,
					                                                 options = ${absencestype},
					                                                 optionfield = 'item.name', 
					                                                 columnsize = 'seven wide',
                                                                     emptyoption = true
					                                                 )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}, 
					                                                   field = 'day', 
					                                                   required = true,
					                                                   value = ${#dates.format(absence.day, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'seven wide'
					                                                   )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}, 
					                                                   field = 'hours', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: textarea(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_JUSTIFICATION}}, 
					                                                   field = 'justification', 
					                                                   required = false, 
					                                                   placeholder = 'Tell us more.',
					                                                   columnsize = 'sixteen wide',
					                                                   maxlength = ''
					                                                   )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      	icon1url = ''
                                                                      	)" />
    </form>
  </th:block>
</body>
</html>
